Pro tools 2020.12 crashing

Official support for: bluecataudio.com
KVRer
1 posts since 1 Feb, 2021

Post Mon Feb 01, 2021 3:52 pm

I am having issue opening "old" sessions on pro tools. And even on a new session when I try to use bluecat patchwork it crashes pro tools. Help please

User avatar
KVRAF
4533 posts since 8 Sep, 2004 from Paris (France)

Post Fri Feb 05, 2021 1:12 am

Do you have any third party plug-ins loaded (or inserted in the default user preset)? I guess you are using the latest version of PatchWork?

BTW which operating system are you running?

KVRer
2 posts since 16 Feb, 2021

Post Mon Feb 15, 2021 8:26 pm

Hello,

I have the same problem.

I am running PT 2020.12, Mac OS Mojave 10.14.6.

I recently upgraded from Mac OS Sierra 10.12.6, running PT Ultimate 2018.10.0.

Everything before upgrading to Mojave was fine. I tried opening the old sessions on my new Mojave set up and PT crashes every time I try to instantiate BlueCat Patchwork. The version is 2.43 on Mojave.

I noticed that I am able to get the AU plugins to work but not VST or VST3.

I am not working in Dark mode. I noticed there was a crash issue with that.

My old PT sessions are running VST3 so I can't get them to open at all. This is a major issue since I have to go into those sessions to do work for a client.

I was able to boot from my old carbon copy of my Mac OS Sierra / PT 2018.10 system and it all works fine. The BC version on this older version is also 2.43.

I'm probably going to have to work from this old boot drive until I can somehow figure out how to get my new system working.

Any ideas on what to try?

There were no third party plug-ins loaded or inserted in the default user preset when I tried to instantiate BC on my upgraded system.

User avatar
KVRAF
4533 posts since 8 Sep, 2004 from Paris (France)

Post Tue Feb 16, 2021 12:43 am

scantrontest wrote:
Mon Feb 15, 2021 8:26 pm
I noticed that I am able to get the AU plugins to work but not VST or VST3.
Do you mean that you can get Patchwork running fine, if you do not try to load VST or VST3 plug-ins?

Have you tried to load some of our free VST plug-ins to see if it works?

There might indeed be issues with some third party plug-ins, as the new version of Pro Tools is now using the "hardened Runtime" that has some limitations regarding what you can load. If you are trying to load plug-ins that have not been signed properly by the manufacturers (per Apple's new security rules), the application will crash instantly.

One thing you can try to do is to identify the plug-ins that fail (by trying to load them manually) and see if there is an updated version available for them.

KVRer
2 posts since 16 Feb, 2021

Post Tue Feb 16, 2021 12:43 pm

The free VST's opened fine.

The only one that seems to be giving me problems Kontakt 5.6.8. It opens in the AU but crashes when I try to open the VST.

The problem is that my old sessions loaded Kontakt as a VST so PT crashes when trying to open or instantiate.

I'm trying to avoid having to rebuild all my templates switching everything to AU since they're all built with the VST option.

Any ideas how to get the VST to open?

User avatar
KVRAF
4533 posts since 8 Sep, 2004 from Paris (France)

Post Wed Feb 17, 2021 1:43 am

From what I can see on the Native Instruments forum, you may need to update to the latest version of Kontact 5 (5.8.1): even if you are not running Catalina, the latest version of Pro Tools has roughly the same requirements as the new Catalina OS regarding code signing and plug-ins security options.

Return to “Blue Cat Audio”